Subject: Re: [PATCH 3/3] cat-file: add mailmap support

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Jun 2022 14:33:08 -0700

Christian Couder <[email-masked]> writes:

> "Even if git cat-file is a plumbing command, it has gained more and
> more high level features like its `--batch-command` mode."

What batch-command and batch do does not sound like "high level" at
all.  It is just "instead of invoking separate process to ask about
each individual object, a single process answers the same low level
requests".

Independent of what this "The output from 'cat-file commit' is
tweaked" feature, I wonder if we want a command that can be used as
a filter.  Just like "git name-rev --stdin" reads a stream of text,
finds commit-looking references in it, and annotates them, the
command (e.g. "git mailmap") would find ident-looking strings and
replaces with the mapped results, or something.

>> > At this time, this patch only adds a command line
>> > option, but perhaps a `cat-file.mailmap` config option could be added as
>> > well in the same way as for `git log`.
>>
>> As cat-file is a plumbing command that is used by scripts we should not
>> add a config option for this as it would potentially break those scripts.

Absolutely.